<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@page import="com.ejie.ad74a.util.constantes.EstadosExpedienteEnum"%>
<%@page import="com.ejie.ad74a.util.constantes.ProcedimientosEnum"%>
<%@page import="com.ejie.ad74a.util.constantes.modelos.TipoExpedientes"%>
<%@page import="com.ejie.ad74a.util.constantes.Constantes" %>

<script src="${staticsUrl}/ad74a/scripts/ad74aTeleasistencia/busquedaExpedientes.js" type="text/javascript"></script>

<script>
	const ESTADO_PEND_COMPLETAR_VAL = "<%=EstadosExpedienteEnum.PEND_COMPLETAR.getId()%>";
	const ESTADO_PEND_COMPLETAR_DESC = "<%=EstadosExpedienteEnum.PEND_COMPLETAR.getLabelDesc()%>";
	const ESTADO_PEND_APERTURA_VAL = '<%=EstadosExpedienteEnum.PEND_APERTURA.getId()%>';
	const ESTADO_PEND_APERTURA_DESC = '<%=EstadosExpedienteEnum.PEND_APERTURA.getLabelDesc()%>';
	const ESTADO_PEND_ESTUDIO_VAL = '<%=EstadosExpedienteEnum.PEND_ESTUDIO.getId()%>';
	const ESTADO_PEND_ESTUDIO_DESC = '<%=EstadosExpedienteEnum.PEND_ESTUDIO.getLabelDesc()%>';
	const ESTADO_PEND_SUBSANACION_VAL = '<%=EstadosExpedienteEnum.PEND_SUBSANACION.getId()%>';
	const ESTADO_PEND_SUBSANACION_DESC = '<%=EstadosExpedienteEnum.PEND_SUBSANACION.getLabelDesc()%>';
	
	const IDTIPOENTRADA00_PAPEL0_VAL = '<%=TipoExpedientes.idTipoEntrada00.PAPEL0.getId()%>';
	const IDTIPOENTRADA00_PAPEL0_DESC = '<%=TipoExpedientes.idTipoEntrada00.PAPEL0.getLabelDesc()%>';	
	const IDTIPOENTRADA00_PRESENCIAL_VAL = '<%=TipoExpedientes.idTipoEntrada00.PRESENCIAL.getId()%>';
	const IDTIPOENTRADA00_PRESENCIAL_DESC = '<%=TipoExpedientes.idTipoEntrada00.PRESENCIAL.getLabelDesc()%>';	
	const IDTIPOENTRADA00_TELEMATICA_VAL = '<%=TipoExpedientes.idTipoEntrada00.TELEMATICA.getId()%>';
	const IDTIPOENTRADA00_TELEMATICA_DESC = '<%=TipoExpedientes.idTipoEntrada00.TELEMATICA.getLabelDesc()%>';
	const IDTIPOENTRADA00_OFICIO_VAL = '<%=TipoExpedientes.idTipoEntrada00.OFICIO.getId()%>';
	const IDTIPOENTRADA00_OFICIO_DESC = '<%=TipoExpedientes.idTipoEntrada00.OFICIO.getLabelDesc()%>';
	
	const PROCEDIMIENTOS_ALTA_VAL = '<%=ProcedimientosEnum.ALTA.getId()%>';
	const PROCEDIMIENTOS_ALTA_DESC = '<%=ProcedimientosEnum.ALTA.getLabelDesc()%>';
	const PROCEDIMIENTOS_BAJA_VAL = '<%=ProcedimientosEnum.BAJA.getId()%>';
	const PROCEDIMIENTOS_BAJA_DESC = '<%=ProcedimientosEnum.BAJA.getLabelDesc()%>';
	const PROCEDIMIENTOS_INFORME_VAL = '<%=ProcedimientosEnum.INFORME.getId()%>';
	const PROCEDIMIENTOS_INFORME_DESC = '<%=ProcedimientosEnum.INFORME.getLabelDesc()%>';
	const PROCEDIMIENTOS_MODIFICACION_VAL = '<%=ProcedimientosEnum.MODIFICACION.getId()%>';
	const PROCEDIMIENTOS_MODIFICACION_DESC = '<%=ProcedimientosEnum.MODIFICACION.getLabelDesc()%>';
	const PROCEDIMIENTOS_REVISION_PRECIO_VAL = '<%=ProcedimientosEnum.REVISION_PRECIO.getId()%>';
	const PROCEDIMIENTOS_REVISION_PRECIO_DESC = '<%=ProcedimientosEnum.REVISION_PRECIO.getLabelDesc()%>';
	
	const expedienteFilter = ${expediente.obtenerJSON()};
	
	const IDENTIFICADOR_DEFECTO = "<%=Constantes.ValoresDefectoBandejaPapel0.IDENTIFICADOR %>";
	
	
</script>